Skip to main content
GET
/
customs
/
items
cURL
curl  https://api.goshippo.com/customs/items/ \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "description": "T-Shirt",
      "mass_unit": "lb",
      "net_weight": "5",
      "origin_country": "<string>",
      "quantity": 20,
      "value_amount": "200",
      "value_currency": "USD",
      "eccn_ear99": "<string>",
      "metadata": "Order ID \"123454\"",
      "sku_code": "HM-123",
      "hs_code": "0901.21",
      "tariff_number": "<string>",
      "object_created": "2014-07-17T00:49:20.631Z",
      "object_id": "d799c2679e644279b59fe661ac8fa488",
      "object_owner": "shippotle@shippo.com",
      "object_state": "VALID",
      "object_updated": "2014-07-17T00:49:20.631Z",
      "test": true
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:25

The number of results to return per page (max 100)

Required range: x <= 100

Response

Paginated list of customs items

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
Customs Item · object[]